LogoopenSUSE Build Service > Projects
Sign Up | Log In

Firefox for SLE 11 and openSUSE 11.4 Evergreen

Starting from 52 ESR version, Firefox wants XCB-SHM. It is in libxcb 1.4
plus libX11 1.3. I didn't know how to make it static, so there are a builds
of these libraries for SLE 11.

If you use openSUSE 11.4 Evergreen, you can see error "nothing provides
STDCXX_some.version". The solution is installing these libraries:

i586:

mkdir c++-runtime && cd c++-runtime
curl -OL http://download.opensuse.org/repositories/devel:/gcc/SLE-11/i586/libgcc_s1-4.8.5-182.1.i586.rpm
curl -OL http://download.opensuse.org/repositories/devel:/gcc/SLE-11/i586/libstdc++6-4.8.5-182.1.i586.rpm
su
yast2 -i *.rpm

x86_64

mkdir c++-runtime && cd c++-runtime
curl -OL http://download.opensuse.org/repositories/devel:/gcc/SLE-11/x86_64/libgcc_s1-4.8.5-182.1.x86_64.rpm
curl -OL http://download.opensuse.org/repositories/devel:/gcc/SLE-11/x86_64/libstdc++6-4.8.5-182.1.x86_64.rpm
su
yast2 -i *.rpm

Or just add this repository. If you havw -devel packages installed, don't forget to download them too.

Comments for home:linux4humans:sle11_software:firefox (0)